function _appendNodeXHTML(node, sb) {



        function fixAttribute(s) {

                return String(s).replace(/\&/g, "&amp;").replace(/>/g, "&gt;").replace(/</g, "&lt;").replace(/\"/g, "&quot;");

        }



        function fixText(s) {

                return String(s).replace(/\&/g, "&amp;").replace(/>/g, "&gt;").replace(/</g, "&lt;");

        }



        switch (node.nodeType) {

                case 1: // ELEMENT

                        if (node.nodeName == "!") {     // IE5.0 and IE5.5 are weird
                                sb.append(node.text);

                                break;
                        }

                        var name = node.nodeName;
                        if (node.scopeName == "HTML")
                                name = name.toLowerCase();

                        sb.append("<" + name);

                        // attributes
                        var attrs = node.attributes;
                        var l = attrs.length;
                        for (var i = 0; i < l; i++) {
                                if (attrs[i].specified) {
                                        if (attrs[i].nodeName != "style")
                                                sb.append(" " + attrs[i].nodeName + "=\"" + fixAttribute(attrs[i].nodeValue) + "\"");
                                        else
                                                sb.append(" style=\"" + fixAttribute(node.style.cssText) + "\"");
                                }
                        }

                        if (node.canHaveChildren || node.hasChildNodes()) {

                                sb.append(">");

                                // childNodes
                                var cs = node.childNodes;
                                l = cs.length;
                                for (var i = 0; i < l; i++)
                                        _appendNodeXHTML(cs[i], sb);

                                sb.append("</" + name + ">");
                        }
                        else if (name == "script")
                                sb.append(">" + node.text + "</" + name + ">");
                        else if (name == "title" || name == "style" || name == "comment")
                                sb.append(">" + node.innerHTML + "</" + name + ">");
                        else
                                sb.append(" />");

                        break;

                case 3: // TEXT
                        sb.append( fixText(node.nodeValue) );
                        break;

                case 4:
                        sb.append("<![CDA" + "TA[\n" + node.nodeValue + "\n]" + "]>");
                        break;

                case 8:
                        //sb.append("<!--" + node.nodeValue + "-->");
                        sb.append(node.text);
                        if (/(^<\?xml)|(^<\!DOCTYPE)/.test(node.text) )
                                sb.append("\n");
                        break;

                case 9: // DOCUMENT
                        // childNodes
                        var cs = node.childNodes;
                        l = cs.length;
                        for (var i = 0; i < l; i++)
                                _appendNodeXHTML(cs[i], sb);
                        break;

                default:
                      sb.append("<!--\nNot Supported:\n\n" + "nodeType: " + node.nodeType + "\nnodeName: " + node.nodeName + "\n-->");
        }

	sb.append("\n");
}




